> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Unenroll contact

> Remove a contact from workflow.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v2/create-manage-workflows-v2.json DELETE /automation/v2/workflows/{workflowId}/enrollments/contacts/{email}
openapi: 3.0.0
info:
  title: Workflows API v2
  version: 1.0.0
  description: Legacy Workflows API v2 generated from MDX—manage enrollments for contacts.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /automation/v2/workflows/{workflowId}/enrollments/contacts/{email}:
    delete:
      summary: Unenroll contact
      description: Remove a contact from workflow.
      operationId: unenrollContact
      parameters:
        - name: workflowId
          in: path
          required: true
          schema:
            type: integer
        - name: email
          in: path
          required: true
          schema:
            type: string
            format: email
      responses:
        '204':
          description: Contact unenrolled successfully (no body)
        default:
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        correlationId:
          type: string

````